CellProfiler Pipeline: http://www.cellprofiler.org
Version:1
SVNRevision:11710

LoadImages:[module_num:1|svn_version:\'11587\'|variable_revision_number:11|show_window:False|notes:\x5B\'\'\x5D]
    File type to be loaded:individual images
    File selection method:Text-Exact match
    Number of images in each group?:3
    Type the text that the excluded images have in common:thumb
    Analyze all subfolders within the selected folder?:None
    Input image file location:Default Input Folder\x7C
    Check image sets for missing or duplicate files?:No
    Group images by metadata?:No
    Exclude certain files?:Yes
    Specify metadata fields to group by:
    Select subfolders to analyze:
    Image count:2
    Text that these images have in common (case-sensitive):_w1
    Position of this image in each group:D.TIF
    Extract metadata from where?:File name
    Regular expression that finds metadata in the file name:^(?P<Date>.*)_Exp(?P<Exp>\x5B0-9\x5D{3})_Plate(?P<Plate>\x5B0-9\x5D{3})_M(?P<MthPl>.*)_BA(?P<BaPl>\x5B0-9\x5D{2})_(?P<Well>\x5BA-P\x5D\x5B0-9\x5D{1,2})_(?P<Sample>.*)_s(?P<site>.*)_w
    Type the regular expression that finds metadata in the subfolder path:None
    Channel count:1
    Group the movie frames?:No
    Grouping method:Interleaved
    Number of channels per group:2
    Load the input as images or objects?:Images
    Name this loaded image:dapiimage
    Name this loaded object:Nuclei
    Retain outlines of loaded objects?:No
    Name the outline image:NucleiOutlines
    Channel number:1
    Rescale intensities?:Yes
    Text that these images have in common (case-sensitive):_w2
    Position of this image in each group:F.T
    Extract metadata from where?:File name
    Regular expression that finds metadata in the file name:^(?P<Date>.*)_Exp(?P<Exp>\x5B0-9\x5D{3})_Plate(?P<Plate>\x5B0-9\x5D{3})_M(?P<MthPl>.*)_BA(?P<BaPl>\x5B0-9\x5D{2})_(?P<Well>\x5BA-P\x5D\x5B0-9\x5D{1,2})_(?P<Sample>.*)_s(?P<site>.*)_w
    Type the regular expression that finds metadata in the subfolder path:None
    Channel count:1
    Group the movie frames?:No
    Grouping method:Interleaved
    Number of channels per group:2
    Load the input as images or objects?:Images
    Name this loaded image:phalloidinimage
    Name this loaded object:Nuclei
    Retain outlines of loaded objects?:No
    Name the outline image:NucleiOutlines
    Channel number:1
    Rescale intensities?:Yes

IdentifyPrimaryObjects:[module_num:2|svn_version:\'10826\'|variable_revision_number:8|show_window:False|notes:\x5B\'\'\x5D]
    Select the input image:dapiimage
    Name the primary objects to be identified:NucleiOfFirstSelectionRound
    Typical diameter of objects, in pixel units (Min,Max):6,18
    Discard objects outside the diameter range?:Yes
    Try to merge too small objects with nearby larger objects?:No
    Discard objects touching the border of the image?:Yes
    Select the thresholding method:Manual
    Threshold correction factor:1.0
    Lower and upper bounds on threshold:0,1
    Approximate fraction of image covered by objects?:0.2
    Method to distinguish clumped objects:Intensity
    Method to draw dividing lines between clumped objects:Propagate
    Size of smoothing filter:10
    Suppress local maxima that are closer than this minimum allowed distance:5
    Speed up by using lower-resolution image to find local maxima?:No
    Name the outline image:DAPIoutline
    Fill holes in identified objects?:Yes
    Automatically calculate size of smoothing filter?:Yes
    Automatically calculate minimum allowed distance between local maxima?:Yes
    Manual threshold:0.05
    Select binary image:MoG Global
    Retain outlines of the identified objects?:No
    Automatically calculate the threshold using the Otsu method?:Yes
    Enter Laplacian of Gaussian threshold:.5
    Two-class or three-class thresholding?:Three classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Background
    Automatically calculate the size of objects for the Laplacian of Gaussian filter?:Yes
    Enter LoG filter diameter:5
    Handling of objects if excessive number of objects identified:Continue
    Maximum number of objects:20
    Select the measurement to threshold with:None

IdentifySecondaryObjects:[module_num:3|svn_version:\'10826\'|variable_revision_number:7|show_window:False|notes:\x5B\'\'\x5D]
    Select the input objects:NucleiOfFirstSelectionRound
    Name the objects to be identified:Cells
    Select the method to identify the secondary objects:Propagation
    Select the input image:phalloidinimage
    Select the thresholding method:Otsu Global
    Threshold correction factor:1
    Lower and upper bounds on threshold:0,1
    Approximate fraction of image covered by objects?:10%
    Number of pixels by which to expand the primary objects:10
    Regularization factor:0.05
    Name the outline image:Do not use
    Manual threshold:0
    Select binary image:Do not use
    Retain outlines of the identified secondary objects?:No
    Two-class or three-class thresholding?:Two classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Foreground
    Discard secondary objects that touch the edge of the image?:Yes
    Discard the associated primary objects?:Yes
    Name the new primary objects:Nuclei
    Retain outlines of the new primary objects?:No
    Name the new primary object outlines:FilteredNucleiOutlines
    Select the measurement to threshold with:None
    Fill holes in identified objects?:Yes

IdentifyTertiaryObjects:[module_num:4|svn_version:\'10300\'|variable_revision_number:1|show_window:False|notes:\x5B\'\'\x5D]
    Select the larger identified objects:Cells
    Select the smaller identified objects:Nuclei
    Name the tertiary objects to be identified:Cytoplasm
    Name the outline image:
    Retain outlines of the tertiary objects?:No

MeasureObjectNeighbors:[module_num:5|svn_version:\'Unknown\'|variable_revision_number:1|show_window:False|notes:\x5B\'\'\x5D]
    Select objects to measure:Cytoplasm
    Method to determine neighbors:Adjacent
    Neighbor distance:1
    Retain the image of objects colored by numbers of neighbors for use later in the pipeline (for example, in SaveImages)?:No
    Name the output image:NrofNeighbours
    Select colormap:Default
    Retain the image of objects colored by percent of touching pixels for use later in the pipeline (for example, in SaveImages)?:No
    Name the output image:PercentTouching
    Select a colormap:Default

FilterObjects:[module_num:6|svn_version:\'10300\'|variable_revision_number:5|show_window:False|notes:\x5B\'\'\x5D]
    Name the output objects:SeperateCells
    Select the object to filter:Cytoplasm
    Filter using classifier rules or measurements?:Measurements
    Select the filtering method:Limits
    Select the objects that contain the filtered objects:Cells
    Retain outlines of the identified objects?:No
    Name the outline image:FilteredObjects
    Rules file location:Default Input Folder\x7CNone
    Rules file name:rules.txt
    Measurement count:1
    Additional object count:2
    Select the measurement to filter by:Neighbors_NumberOfNeighbors_Adjacent
    Filter using a minimum measurement value?:Yes
    Minimum value:0
    Filter using a maximum measurement value?:Yes
    Maximum value:0
    Select additional object to relabel:Nuclei
    Name the relabeled objects:SeperateNuclei
    Retain outlines of relabeled objects?:Yes
    Name the outline image:OutlinesFilteredDAPI
    Select additional object to relabel:Cytoplasm
    Name the relabeled objects:SeperateCytoplasma
    Retain outlines of relabeled objects?:Yes
    Name the outline image:OutlinesFilteredPhalloidin

MeasureObjectSizeShape:[module_num:7|svn_version:\'1\'|variable_revision_number:1|show_window:False|notes:\x5B\'\'\x5D]
    Select objects to measure:SeperateCells
    Select objects to measure:SeperateNuclei
    Select objects to measure:SeperateCytoplasma
    Calculate the Zernike features?:No

CalculateMath:[module_num:8|svn_version:\'10905\'|variable_revision_number:1|show_window:False|notes:\x5B\x5D]
    Name the output measurement:SepCytoplAREAcorrected
    Operation:Subtract
    Select the minuend measurement type:Object
    Select the minuend objects:SeperateCells
    Select the minuend measurement:AreaShape_Area
    Multiply the above operand by:1
    Raise the power of above operand by:1
    Select the subtrahend measurement type:Object
    Select the subtrahend objects:SeperateNuclei
    Select the subtrahend measurement:AreaShape_Area
    Multiply the above operand by:1
    Raise the power of above operand by:1
    Take log10 of result?:No
    Multiply the result by:1
    Raise the power of result by:1

ExportToSpreadsheet:[module_num:9|svn_version:\'10880\'|variable_revision_number:7|show_window:False|notes:\x5B\'\'\x5D]
    Select or enter the column delimiter:Tab
    Prepend the output file name to the data file names?:Yes
    Add image metadata columns to your object data file?:Yes
    Limit output to a size that is allowed in Excel?:No
    Select the columns of measurements to export?:No
    Calculate the per-image mean values for object measurements?:Yes
    Calculate the per-image median values for object measurements?:Yes
    Calculate the per-image standard deviation values for object measurements?:Yes
    Output file location:Default Output Folder\x7CC\x3A\\\\Users\\\\Boss-A\\\\Documents
    Create a GenePattern GCT file?:No
    Select source of sample row name:Metadata
    Select the image to use as the identifier:None
    Select the metadata to use as the identifier:None
    Export all measurements, using default file names?:No
    Press button to select measurements to export:None\x7CNone
    Data to export:Image
    Combine these object measurements with those of the previous object?:No
    File name:Image.csv
    Use the object name for the file name?:Yes
    Data to export:SeperateNuclei
    Combine these object measurements with those of the previous object?:No
    File name:Nuclei.csv
    Use the object name for the file name?:Yes
    Data to export:NucleiOfFirstSelectionRound
    Combine these object measurements with those of the previous object?:No
    File name:Cells.csv
    Use the object name for the file name?:Yes
    Data to export:SeperateCytoplasma
    Combine these object measurements with those of the previous object?:No
    File name:Cytoplasm.csv
    Use the object name for the file name?:Yes
    Data to export:SeperateCells
    Combine these object measurements with those of the previous object?:No
    File name:DATA.csv
    Use the object name for the file name?:Yes

ExportToSpreadsheet:[module_num:10|svn_version:\'10880\'|variable_revision_number:7|show_window:False|notes:\x5B\x5D]
    Select or enter the column delimiter:Tab
    Prepend the output file name to the data file names?:Yes
    Add image metadata columns to your object data file?:No
    Limit output to a size that is allowed in Excel?:No
    Select the columns of measurements to export?:Yes
    Calculate the per-image mean values for object measurements?:Yes
    Calculate the per-image median values for object measurements?:Yes
    Calculate the per-image standard deviation values for object measurements?:Yes
    Output file location:Default Output Folder\x7CNone
    Create a GenePattern GCT file?:No
    Select source of sample row name:Metadata
    Select the image to use as the identifier:None
    Select the metadata to use as the identifier:None
    Export all measurements, using default file names?:No
    Press button to select measurements to export:SeperateNuclei\x7CNumber_Object_Number,SeperateNuclei\x7CAreaShape_Perimeter,SeperateNuclei\x7CAreaShape_FormFactor,SeperateNuclei\x7CAreaShape_Orientation,SeperateNuclei\x7CAreaShape_Area,SeperateNuclei\x7CAreaShape_Solidity,SeperateNuclei\x7CAreaShape_EulerNumber,SeperateNuclei\x7CAreaShape_Compactness,SeperateNuclei\x7CAreaShape_Extent,SeperateNuclei\x7CAreaShape_Eccentricity,SeperateNuclei\x7CAreaShape_MinorAxisLength,SeperateNuclei\x7CAreaShape_MajorAxisLength,SeperateNuclei\x7CAreaShape_Center_Y,SeperateNuclei\x7CAreaShape_Center_X,SeperateNuclei\x7CMath_SepCytoplAREAcorrected,Image\x7CCount_SeperateCells,Image\x7CCount_SeperateCytoplasma,Image\x7CMetadata_MthPl,Image\x7CMetadata_Plate,Image\x7CMetadata_BaPl,Image\x7CMetadata_Well,Image\x7CMetadata_site,Image\x7CMetadata_Sample,Image\x7CMetadata_Exp,Image\x7CMetadata_Date,SeperateCells\x7CNumber_Object_Number,SeperateCells\x7CAreaShape_Area,SeperateCells\x7CMath_SepCytoplAREAcorrected,SeperateCytoplasma\x7CAreaShape_Perimeter,SeperateCytoplasma\x7CAreaShape_FormFactor,SeperateCytoplasma\x7CAreaShape_Orientation,SeperateCytoplasma\x7CAreaShape_Area,SeperateCytoplasma\x7CAreaShape_Solidity,SeperateCytoplasma\x7CAreaShape_EulerNumber,SeperateCytoplasma\x7CAreaShape_Compactness,SeperateCytoplasma\x7CAreaShape_Extent,SeperateCytoplasma\x7CAreaShape_Eccentricity,SeperateCytoplasma\x7CAreaShape_MinorAxisLength,SeperateCytoplasma\x7CAreaShape_MajorAxisLength,SeperateCytoplasma\x7CAreaShape_Center_Y,SeperateCytoplasma\x7CAreaShape_Center_X,SeperateCytoplasma\x7CNumber_Object_Number,Cells\x7CNumber_Object_Number
    Data to export:Image
    Combine these object measurements with those of the previous object?:No
    File name:FINALDATA.csv
    Use the object name for the file name?:No

RescaleIntensity:[module_num:11|svn_version:\'6746\'|variable_revision_number:2|show_window:False|notes:\x5B\x5D]
    Select the input image:phalloidinimage
    Name the output image:RescaledPhalloidin
    Select rescaling method:Stretch each image to use the full intensity range
    How do you want to calculate the minimum intensity?:Custom
    How do you want to calculate the maximum intensity?:Custom
    Enter the lower limit for the intensity range for the input image:0
    Enter the upper limit for the intensity range for the input image:1
    Enter the intensity range for the input image:0.000000,1.000000
    Enter the desired intensity range for the final, rescaled image:0.000000,1.000000
    Select method for rescaling pixels below the lower limit:Mask pixels
    Enter custom value for pixels below lower limit:0
    Select method for rescaling pixels above the upper limit:Mask pixels
    Enter custom value for pixels below upper limit:0
    Select image to match in maximum intensity:None
    Enter the divisor:1
    Select the measurement to use as a divisor:None

RescaleIntensity:[module_num:12|svn_version:\'6746\'|variable_revision_number:2|show_window:False|notes:\x5B\x5D]
    Select the input image:dapiimage
    Name the output image:RescaledDAPI
    Select rescaling method:Stretch each image to use the full intensity range
    How do you want to calculate the minimum intensity?:Custom
    How do you want to calculate the maximum intensity?:Custom
    Enter the lower limit for the intensity range for the input image:0
    Enter the upper limit for the intensity range for the input image:1
    Enter the intensity range for the input image:0.000000,1.000000
    Enter the desired intensity range for the final, rescaled image:0.000000,1.000000
    Select method for rescaling pixels below the lower limit:Mask pixels
    Enter custom value for pixels below lower limit:0
    Select method for rescaling pixels above the upper limit:Mask pixels
    Enter custom value for pixels below upper limit:0
    Select image to match in maximum intensity:None
    Enter the divisor:1
    Select the measurement to use as a divisor:None

SaveImages:[module_num:13|svn_version:\'10822\'|variable_revision_number:7|show_window:False|notes:\x5B\x5D]
    Select the type of image to save:Image
    Select the image to save:RescaledDAPI
    Select the objects to save:None
    Select the module display window to save:None
    Select method for constructing file names:From image filename
    Select image name for file prefix:dapiimage
    Enter single file name:OrigBlue
    Do you want to add a suffix to the image file name?:Yes
    Text to append to the image name:rescaled
    Select file format to use:jpg
    Output file location:Default Output Folder sub-folder\x7Canalyst
    Image bit depth:8
    Overwrite existing files without warning?:No
    Select how often to save:Every cycle
    Rescale the images? :No
    Save as grayscale or color image?:Grayscale
    Select colormap:gray
    Store file and path information to the saved image?:Yes
    Create subfolders in the output folder?:No

SaveImages:[module_num:14|svn_version:\'10822\'|variable_revision_number:7|show_window:False|notes:\x5B\x5D]
    Select the type of image to save:Image
    Select the image to save:RescaledPhalloidin
    Select the objects to save:None
    Select the module display window to save:None
    Select method for constructing file names:From image filename
    Select image name for file prefix:phalloidinimage
    Enter single file name:OrigBlue
    Do you want to add a suffix to the image file name?:Yes
    Text to append to the image name:rescaled
    Select file format to use:jpg
    Output file location:Default Output Folder sub-folder\x7Canalyst
    Image bit depth:8
    Overwrite existing files without warning?:No
    Select how often to save:Every cycle
    Rescale the images? :No
    Save as grayscale or color image?:Grayscale
    Select colormap:gray
    Store file and path information to the saved image?:Yes
    Create subfolders in the output folder?:No

SaveImages:[module_num:15|svn_version:\'10822\'|variable_revision_number:7|show_window:False|notes:\x5B\x5D]
    Select the type of image to save:Image
    Select the image to save:OutlinesFilteredDAPI
    Select the objects to save:None
    Select the module display window to save:None
    Select method for constructing file names:From image filename
    Select image name for file prefix:dapiimage
    Enter single file name:OrigBlue
    Do you want to add a suffix to the image file name?:Yes
    Text to append to the image name:outline
    Select file format to use:jpg
    Output file location:Default Output Folder sub-folder\x7Canalyst
    Image bit depth:8
    Overwrite existing files without warning?:No
    Select how often to save:Every cycle
    Rescale the images? :No
    Save as grayscale or color image?:Grayscale
    Select colormap:gray
    Store file and path information to the saved image?:Yes
    Create subfolders in the output folder?:No

SaveImages:[module_num:16|svn_version:\'10822\'|variable_revision_number:7|show_window:False|notes:\x5B\x5D]
    Select the type of image to save:Image
    Select the image to save:OutlinesFilteredPhalloidin
    Select the objects to save:None
    Select the module display window to save:None
    Select method for constructing file names:From image filename
    Select image name for file prefix:phalloidinimage
    Enter single file name:OrigBlue
    Do you want to add a suffix to the image file name?:Yes
    Text to append to the image name:outline
    Select file format to use:jpg
    Output file location:Default Output Folder sub-folder\x7Canalyst
    Image bit depth:8
    Overwrite existing files without warning?:No
    Select how often to save:Every cycle
    Rescale the images? :No
    Save as grayscale or color image?:Grayscale
    Select colormap:gray
    Store file and path information to the saved image?:Yes
    Create subfolders in the output folder?:No

ExportToDatabase:[module_num:17|svn_version:\'10962\'|variable_revision_number:20|show_window:False|notes:\x5B\x5D]
    Database type:SQLite
    Database name:DefaultDB
    Add a prefix to table names?:No
    Table prefix:Expt_
    SQL file prefix:SQL_
    Output file location:Default Output Folder sub-folder\x7Canalyst
    Create a CellProfiler Analyst properties file?:Yes
    Database host:
    Username:
    Password:
    Name the SQLite database file:DefaultDB.db
    Calculate the per-image mean values of object measurements?:Yes
    Calculate the per-image median values of object measurements?:Yes
    Calculate the per-image standard deviation values of object measurements?:Yes
    Calculate the per-well mean values of object measurements?:No
    Calculate the per-well median values of object measurements?:No
    Calculate the per-well standard deviation values of object measurements?:No
    Export measurements for all objects to the database?:Select...
    Select the objects:SeperateCells,SeperateCytoplasma,SeperateNuclei
    Maximum # of characters in a column name:64
    Create one table per object or a single object table?:Single object table
    Enter an image url prepend if you plan to access your files via http:
    Write image thumbnails directly to the database?:Yes
    Select the images you want to save thumbnails of:OutlinesFilteredDAPI,OutlinesFilteredPhalloidin,RescaledDAPI,RescaledPhalloidin
    Auto-scale thumbnail pixel intensities?:Yes
    Select the plate type:96
    Select the plate metadata:Plate
    Select the well metadata:Well
    Include information for all images, using default values?:No
    Hidden:4
    Hidden:6
    Hidden:0
    Select an image to include:OutlinesFilteredDAPI
    Use the image name for the display?:Yes
    Image name:Channel1
    Channel color:blue
    Select an image to include:OutlinesFilteredPhalloidin
    Use the image name for the display?:Yes
    Image name:Channel2
    Channel color:green
    Select an image to include:RescaledDAPI
    Use the image name for the display?:Yes
    Image name:Channel3
    Channel color:blue
    Select an image to include:RescaledPhalloidin
    Use the image name for the display?:Yes
    Image name:Channel4
    Channel color:green
    Do you want to add group fields?:Yes
    Enter the name of the group:well
    Enter the per-image columns which define the group, separated by commas:ImageNumber, Image_Metadata_Plate, Image_Metadata_Well
    Enter the name of the group:Plate
    Enter the per-image columns which define the group, separated by commas:ImageNumber, Image_Metadata_Plate
    Enter the name of the group:Exp
    Enter the per-image columns which define the group, separated by commas:ImageNumber, Image_Metadata_Exp
    Enter the name of the group:Motherplate
    Enter the per-image columns which define the group, separated by commas:ImageNumber, Image_Metadata_MthPl
    Enter the name of the group:Babyplate
    Enter the per-image columns which define the group, separated by commas:ImageNumber, Image_Metadata_BaPl
    Enter the name of the group:Sample
    Enter the per-image columns which define the group, separated by commas:ImageNumber, Image_Metadata_Plate, Image_Metadata_Sample
    Do you want to add filter fields?:Yes
    Automatically create a filter for each plate?:Yes
